## org.eclipse.jst.jsf.facesconfig.emf
Interface ManagedBeanType

All Known Implementing Classes:
  ManagedBeanTypeImpl

    public interface ManagedBeanType

A representation of the model object 'Managed Bean Type'.

The following features are supported:

- `Description`
- `Display Name`
- `Icon`
- `Managed Bean Name`
- `Managed Bean Class`
- `Managed Bean Scope`
- `Managed Property`
- `Map Entries`
- `List Entries`
- `Managed Bean Extension`
- `Id`
- `Eager`

See Also:
  `FacesConfigPackage.getManagedBeanType()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`EList` `getDescription()` Returns the value of the 'Description' containment reference list.
`EList` `getDisplayName()` Returns the value of the 'Display Name' containment reference list.
`EList` `getIcon()` Returns the value of the 'Icon' containment reference list.
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`ListEntriesType` `getListEntries()` Returns the value of the 'List Entries' containment reference
`ManagedBeanClassType` `getManagedBeanClass()` Returns the value of the 'Managed Bean Class' containment reference
`EList` `getManagedBeanExtension()` Returns the value of the 'Managed Bean Extension' containment reference list.
`ManagedBeanNameType` `getManagedBeanName()` Returns the value of the 'Managed Bean Name' containment reference
`ManagedBeanScopeType` `getManagedBeanScope()` Returns the value of the 'Managed Bean Scope' containment reference
`EList` `getManagedProperty()` Returns the value of the 'Managed Property' containment reference list.
`MapEntriesType` `getMapEntries()` Returns the value of the 'Map Entries' containment reference
`boolean` `isEager()` Returns the value of the 'Eager' attribute
`void` `setEager(boolean value)` Sets the value of the '`Eager`' attribute
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute
`void` `setListEntries(ListEntriesType value)` Sets the value of the '`List Entries`' containment reference
`void` `setManagedBeanClass(ManagedBeanClassType value)` Sets the value of the '`Managed Bean Class`' containment reference
`void` `setManagedBeanName(ManagedBeanNameType value)` Sets the value of the '`Managed Bean Name`' containment reference
`void` `setManagedBeanScope(ManagedBeanScopeType value)` Sets the value of the '`Managed Bean Scope`' containment reference
`void` `setMapEntries(MapEntriesType value)` Sets the value of the '`Map Entries`' containment reference

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDescription

    EList getDescription()

  Returns the value of the 'Description' containment reference list. The list contents are of type `DescriptionType`.

  If the meaning of the 'Description' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Description' containment reference list.
  See Also:
    `FacesConfigPackage.getManagedBeanType_Description()`

### getDisplayName

    EList getDisplayName()

  Returns the value of the 'Display Name' containment reference list. The list contents are of type `DisplayNameType`.

  If the meaning of the 'Display Name' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Display Name' containment reference list.
  See Also:
    `FacesConfigPackage.getManagedBeanType_DisplayName()`

### getIcon

    EList getIcon()

  Returns the value of the 'Icon' containment reference list. The list contents are of type `IconType`.

  If the meaning of the 'Icon' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Icon' containment reference list.
  See Also:
    `FacesConfigPackage.getManagedBeanType_Icon()`

### getManagedBeanName

    ManagedBeanNameType getManagedBeanName()

  Returns the value of the 'Managed Bean Name' containment reference.

  If the meaning of the 'Managed Bean Name' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Managed Bean Name' containment reference.
  See Also:
    `setManagedBeanName(ManagedBeanNameType)`, `FacesConfigPackage.getManagedBeanType_ManagedBeanName()`

### setManagedBeanName

    void setManagedBeanName(ManagedBeanNameType value)

  Sets the value of the '`Managed Bean Name`' containment reference.

  Parameters:
    `value` - the new value of the 'Managed Bean Name' containment reference.
  See Also:
    `getManagedBeanName()`

### getManagedBeanClass

    ManagedBeanClassType getManagedBeanClass()

  Returns the value of the 'Managed Bean Class' containment reference.

  If the meaning of the 'Managed Bean Class' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Managed Bean Class' containment reference.
  See Also:
    `setManagedBeanClass(ManagedBeanClassType)`, `FacesConfigPackage.getManagedBeanType_ManagedBeanClass()`

### setManagedBeanClass

    void setManagedBeanClass(ManagedBeanClassType value)

  Sets the value of the '`Managed Bean Class`' containment reference.

  Parameters:
    `value` - the new value of the 'Managed Bean Class' containment reference.
  See Also:
    `getManagedBeanClass()`

### getManagedBeanScope

    ManagedBeanScopeType getManagedBeanScope()

  Returns the value of the 'Managed Bean Scope' containment reference.

  If the meaning of the 'Managed Bean Scope' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Managed Bean Scope' containment reference.
  See Also:
    `setManagedBeanScope(ManagedBeanScopeType)`, `FacesConfigPackage.getManagedBeanType_ManagedBeanScope()`

### setManagedBeanScope

    void setManagedBeanScope(ManagedBeanScopeType value)

  Sets the value of the '`Managed Bean Scope`' containment reference.

  Parameters:
    `value` - the new value of the 'Managed Bean Scope' containment reference.
  See Also:
    `getManagedBeanScope()`

### getManagedProperty

    EList getManagedProperty()

  Returns the value of the 'Managed Property' containment reference list. The list contents are of type `ManagedPropertyType`.

  If the meaning of the 'Managed Property' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Managed Property' containment reference list.
  See Also:
    `FacesConfigPackage.getManagedBeanType_ManagedProperty()`

### getMapEntries

    MapEntriesType getMapEntries()

  Returns the value of the 'Map Entries' containment reference.

  If the meaning of the 'Map Entries' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Map Entries' containment reference.
  See Also:
    `setMapEntries(MapEntriesType)`, `FacesConfigPackage.getManagedBeanType_MapEntries()`

### setMapEntries

    void setMapEntries(MapEntriesType value)

  Sets the value of the '`Map Entries`' containment reference.

  Parameters:
    `value` - the new value of the 'Map Entries' containment reference.
  See Also:
    `getMapEntries()`

### getListEntries

    ListEntriesType getListEntries()

  Returns the value of the 'List Entries' containment reference.

  If the meaning of the 'List Entries' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'List Entries' containment reference.
  See Also:
    `setListEntries(ListEntriesType)`, `FacesConfigPackage.getManagedBeanType_ListEntries()`

### setListEntries

    void setListEntries(ListEntriesType value)

  Sets the value of the '`List Entries`' containment reference.

  Parameters:
    `value` - the new value of the 'List Entries' containment reference.
  See Also:
    `getListEntries()`

### getManagedBeanExtension

    EList getManagedBeanExtension()

  Returns the value of the 'Managed Bean Extension' containment reference list. The list contents are of type `ManagedBeanExtensionType`.

  If the meaning of the 'Managed Bean Extension' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Managed Bean Extension' containment reference list.
  See Also:
    `FacesConfigPackage.getManagedBeanType_ManagedBeanExtension()`

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `FacesConfigPackage.getManagedBeanType_Id()`

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`

### isEager

    boolean isEager()

  Returns the value of the 'Eager' attribute.

  If the meaning of the 'Eager' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Eager' attribute.
  See Also:
    `setEager(boolean)`, `FacesConfigPackage.getManagedBeanType_Eager()`

### setEager

    void setEager(boolean value)

  Sets the value of the '`Eager`' attribute.

  Parameters:
    `value` - the new value of the 'Eager' attribute.
  See Also:
    `isEager()`